cURL
curl --request GET \
--url https://dev.entropi.app/v1/products/getList \
--header 'Authorization: Bearer <token>'import requests
url = "https://dev.entropi.app/v1/products/getList"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dev.entropi.app/v1/products/getList', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": [
{
"productID": "<string>",
"name": "<string>",
"desc": "<string>",
"orgID": "<string>",
"userID": "<string>",
"url": "<string>",
"imageLink": "<string>"
}
]
}{
"error": 123,
"message": "<string>"
}Products
Get Product List
Returns a list of all products under a given user and/or organization
GET
/
v1
/
products
/
getList
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Retrieve products associated with this userID
Retrieve products associated with this orgID
Response
Product List
Array of JSON objects with product details matching query
Show child attributes
Show child attributes
⌘I